Name:           perl-File-XDG
Version:        1.02
Release:        1%{?dist}
Summary:        Basic implementation of the XDG base directory specification
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-XDG/
Source0:        http://www.cpan.org/authors/id/P/PL/PLICEASE/File-XDG-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path) >= 2.07
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Path::Class) >= 0.26
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Ref::Util)
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(File::Path) >= 2.07
Requires:       perl(Path::Tiny)
Requires:       perl(Ref::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a basic implementation of the XDG base directory
specification as exists by the Free Desktop Organization (FDO). It supports
all XDG directories except for the runtime directories, which require
session management support in order to function.

%prep
%setup -q -n File-XDG-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc author.yml Changes dist.ini LICENSE META.json perlcriticrc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Oct 24 2022 Vadim Raskhozhev <iamdexpl@gmail.com> 1.02-1
- Specfile autogenerated by cpanspec 1.78.
